FROM registry.gitlab.com/rug-digitallab/resources/container-images/jvm-build:latest AS build

WORKDIR /project
COPY . /project

RUN ./gradlew manager:assemble

FROM registry.gitlab.com/rug-digitallab/resources/container-images/jvm-runtime:latest

COPY --from=build --chown=185 /project/manager/build/quarkus-app/ /deployments/
